Bug 236891 - lang/lua53: move assertion to correct place
Summary: lang/lua53: move assertion to correct place
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-30 08:44 UTC by andrew
Modified: 2019-05-03 11:51 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (russ.haley)


Attachments
patch extra-patch-assert to move an incorrectly placed assertion (1012 bytes, patch)
2019-03-30 08:44 UTC, andrew
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description andrew 2019-03-30 08:44:57 UTC
Created attachment 203251 [details]
patch extra-patch-assert to move an incorrectly placed assertion

Per discussion on lua-l, the first assert in atomic() is misplaced and can cause false failures; this patch moves it (only when asserts are enabled) to the correct place.

This fix only affects assertion-enabled builds (which is not the default) and only in relatively rare cases, so I think that PORTREVISION should probably not be updated. I submit it anyway because as far as I know there are no plans for an upstream fix.
Comment 1 Russell Haley 2019-03-31 04:50:22 UTC
Thanks for this. I'm not sure I agree about the port revision number. I would think it should be updated irrespective of the users being affected. Do you care particularly one way or the other?
Comment 2 andrew 2019-03-31 05:33:06 UTC
(In reply to Russell Haley from comment #1)

I don't feel too strongly about it, but consider that it does not affect the package build (since asserts are off by default) and only a vanishingly tiny proportion of users should even be enabling them. Putting out an updated package with no actual changes seems undesirable.
Comment 3 commit-hook freebsd_committer 2019-05-03 11:51:28 UTC
A commit references this bug:

Author: swills
Date: Fri May  3 11:50:25 UTC 2019
New revision: 500722
URL: https://svnweb.freebsd.org/changeset/ports/500722

Log:
  lang/lua53: move assertion to correct place

  PR:		236891
  Submitted by:	andrew@tao11.riddles.org.uk
  Approved by:	Russell Haley <russ.haley@gmail.com> (maintainer)

Changes:
  head/lang/lua53/Makefile
  head/lang/lua53/files/extra-patch-assert
Comment 4 Steve Wills freebsd_committer 2019-05-03 11:51:30 UTC
Committed, thanks!